.BG
.FN phnnet.Hess
.TL
Evaluates Hessian for a Proportional Hazards Net
.DN
Evaluates the Hessian (matrix of second derivatives) of the specified
neural network. Normally called via argument `dohess=T' to `phnnet'.
.CS
phnnet.Hess(net, x, status)
.RA
.AG net
object of class `phnnet' as returned by `phnnet'.
.AG x
training data.  Must be in the form of a `model.matrix' output.
.AG status
status of training data
.OA
.AG weights
the (case) weights used in the `phnnet' fit.
.RT
square symmetric matrix of the Hessian evaluated at the weights stored 
in the net.
.SA
`phnnet', `predict.phnnet'
.EX
options(na.action=na.omit)
mylung <- apply(lung[,4:10],2,function(x)(x-min(x,na.rm=T))/
		(range(x,na.rm=T)[2]-range(x,na.rm=T)[1])) 
mylung <- cbind(lung[,1:3],mylung) 
mylung$status <- mylung$status-1                

phfit <-  phnnet(Surv(time,status)  ~ ., data=mylung[,-1], decay = 0.01,
size = 2, skip=T, trace = T, maxit = 1000,  bias.decay=25)

eigen(phnnet.Hess(phfit,na.omit(mylung[,-1])[,3:9],
	na.omit(mylung[,-1])[,1:2]), T)$values 
.KW neural
.WR
