.BG
.FN predict.phtnnet
.TL
Predict New Examples by a Time-varying Neural Net
.DN
Predict new examples by a trained time-varying neural net.
.CS
predict.phtnnet(object, x, ...)
.RA
.AG object
an object of class `phtnnet' as  returned by `phtnnet'.
.AG x
matrix or data frame of test examples. A vector is considered to be a
row vector comprising a single case.  The time zone variable need not
be included but if included will cause no problems. It is not
used as predictions will be returned for each time zone. 
.AG ...
arguments passed from or to other methods.
.RT
Matrix of scores returned by the trained network.  (One for each time zone)
.DT
.ME predict phtnnet
.SA
`phtnnet'
.EX
options(na.action=na.omit)
mylung <- apply(lung[,4:10],2,function(x)(x-min(x,na.rm=T))/
		(range(x,na.rm=T)[2]-range(x,na.rm=T)[1])) 
mylung <- cbind(lung[,1:3],mylung) 
mylung$status <- mylung$status-1    
            
phtfit <-  phtnnet(Surv(time,status)   ~ ., data=mylung[,-1], decay = 0.01, 
		   size = 2, skip=T, trace = T,maxit=1000,dohess=T,
		   breakpts=c(0,100,200,300,10000))
preds <- predict(phtfit,mylung)
.KW neural
.WR
