.BG
.FN predict.survnnet
.TL
Predict New Examples by a Survival Neural Net
.DN
Predict new examples by a trained survival neural net.
.CS
predict.survnnet(object, x, type = c("raw", "class"), ...)
.RA
.AG object
an object of class `survnnet' as returned by `survnnet'.
.AG x
matrix or data frame of test examples. A vector is considered to be
a row vector comprising a single case.
.AG type
select raw output from the net, or the most probable class for a
net with a factor response.
.AG ...
arguments passed from or to other methods.
.RT
The values returned by the trained network.
.DT
.ME predict survnnet
.SA
`survnnet'
.EX
mycap <- capacitor
mycap$voltage <- (mycap$voltage-min(mycap$voltage,na.rm=T))/
  (range(mycap$voltage,na.rm=T)[2]-range(mycap$voltage,na.rm=T)[1])

wei <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = 'weibull', 
                alpha =0.1,maxit=100)
preds <- predict(wei,mycap)
.KW neural
.WR
