.BG
.FN survnnet.Hess
.TL
Evaluates Hessian for a Survival Neural Network
.DN
Evaluates the Hessian (matrix of second derivatives) of the specified
neural network. Normally called via argument `Hess=T' to `survnnet'.
.CS
survnnet.Hess(net, x, y, weights)
.RA
.AG net
object of class `survnnet' as returned by `survnnet'.
.AG x
training data.  Must be in the form of a `model.matrix' output.
.AG y
classes for training data. 
.OA
.AG weights
the (case) weights used in the `survnnet' fit.
.RT
square symmetric matrix of the Hessian evaluated at the weights stored 
in the net.
.SA
`survnnet', `predict.survnnet'
.EX
mycap <- capacitor
mycap$voltage <- (mycap$voltage-min(mycap$voltage,na.rm=T))/
  (range(mycap$voltage,na.rm=T)[2]-range(mycap$voltage,na.rm=T)[1])

wei <- survnnet(Surv(days,event) ~ voltage, data=mycap,decay = 0.01,
                size = 2, trace = T, skip = T, model = 'weibull', 
                alpha =0.1,maxit=100)

eigen(survnnet.Hess(wei, mycap[,3],mycap[,1:2]), T)$values
.KW neural
.WR
